# collada.lineset.BoundLineSet

class collada.lineset.BoundLineSet(ls, matrix, materialnodebysymbol)

  A line set bound to a transform matrix and materials mapping.

  - If `bs` is an instance of `collada.lineset.BoundLineSet`, `len(bs)` returns the number of lines in the set and `bs[i]` returns the ith line in the set.

  __init__(ls, matrix, materialnodebysymbol)

    Create a bound line set from a line set, transform and material mapping. This gets created when a line set is instantiated in a scene. Do not create this manually.

  Methods

  `__init__`(ls, matrix, materialnodebysymbol) | Create a bound line set from a line set, transform and material mapping.
  `lines`() | Iterate through all the lines contained in the set.
  `shapes`() | Iterate through all the lines contained in the set.

  Attributes

  `normal` | Read-only numpy.array of size Nx3 where N is the number of normal values in the primitive's normal source array.
  `normal_index` | Read-only numpy.array of size Nx3 where N is the number of vertices in the primitive.
  `texcoord_indexset` | Read-only tuple of texture coordinate index arrays.
  `texcoordset` | Read-only tuple of texture coordinate arrays.
  `vertex` | Read-only numpy.array of size Nx3 where N is the number of vertex points in the primitive's vertex source array.
  `vertex_index` | Read-only numpy.array of size Nx3 where N is the number of vertices in the primitive.